Skip to content

List Projects

V2ProjectListPageResponse V2Projects.List(V2ProjectListParams?parameters, CancellationTokencancellationToken = default)
GET/api/v2/projects

List projects in an organization. Requires organization_id or a project-scoped API key.

ParametersExpand Collapse
V2ProjectListParams parameters
string? name
string? organizationID
Long? pageSize
string? pageToken
ReturnsExpand Collapse
class V2ProjectListPageResponse:

API query response schema for projects.

required IReadOnlyList<V2ProjectListResponse> Items

The list of items.

required string ID

The project’s unique identifier.

required string Name

The project’s display name.

required string OrganizationID

The organization the project belongs to.

DateTimeOffset? CreatedAt

Creation datetime

formatdate-time
Boolean IsDefault

Whether this project is the default project for its organization.

DateTimeOffset? UpdatedAt

Update datetime

formatdate-time
string? NextPageToken

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

Long? TotalSize

The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

List Projects

V2ProjectListParams parameters = new();

var page = await client.V2Projects.List(parameters);
await foreach (var item in page.Paginate())
{
    Console.WriteLine(item);
}
{
  "items": [
    {
      "id": "id",
      "name": "name",
      "organization_id": "organization_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "is_default": true,
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "id",
      "name": "name",
      "organization_id": "organization_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "is_default": true,
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/